Bug 1353233 - ManageIQ Automate domain cleanup
ManageIQ Automate domain cleanup
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate (Show other bugs)
5.6.0
Unspecified Unspecified
medium Severity medium
: GA
: 5.6.1
Assigned To: Greg McCullough
Milan Falešník
automate
: ZStream
Depends On: 1287891
Blocks: 1288150
  Show dependency treegraph
 
Reported: 2016-07-06 11:10 EDT by John Prause
Modified: 2016-08-19 15:33 EDT (History)
8 users (show)

See Also:
Fixed In Version: 5.6.1.2
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1287891
Environment:
Last Closed: 2016-08-18 13:55:22 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 John Prause 2016-07-06 11:11:36 EDT
Oleg merged for 5.6.1 release,..setting to Post.
SHA b9d7aea81cccf886fe2c9327a7aed7dea1714830
Comment 4 Milan Falešník 2016-08-01 08:01:09 EDT
Checked in 5.6.1.0

I copied the fixtures in domfix directory, unzipped the export in domexp directory. I turned all dirnames and filenames lowercase and then diffed it.

Apart of the manifest file which I ignore because it only contains hashes and dates, I see only one difference:

diff -aurN domfix/manageiq/__domain__.yaml domexp/manageiq/__domain__.yaml
--- domfix/manageiq/__domain__.yaml	2016-08-01 07:46:26.238227097 -0400
+++ domexp/manageiq/__domain__.yaml	2016-08-01 05:59:38.000000000 -0400
@@ -9,3 +9,4 @@
     system: true
     priority: 0
     enabled: true
+    tenant_id: 1

I guess that tenant id is ok as it gets assigned upon loading the fixtures into the database, right?
Comment 5 Greg McCullough 2016-08-01 16:31:00 EDT
That is correct.  We retain the tenant_id for the restore operation but a normal import would re-assign.
Comment 6 Milan Falešník 2016-08-02 06:59:43 EDT
Verified it be then.
Comment 8 errata-xmlrpc 2016-08-18 13:55:22 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-1634.html

Note You need to log in before you can comment on or make changes to this bug.